#
# spec file for package perl-Log-TraceMessages
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname Log-TraceMessages

Name:           perl-%{modname}
Version:        1.4
Release:        13.1
Requires:       perl-HTML-FromText
BuildRequires:  perl perl-HTML-FromText
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Install)
Url:            https://metacpan.org/pod/Log::TraceMessages
Summary:        Perl extension for trace messages used in debugging
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.gz
Patch0:         Log-TraceMessages.tmpnam.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This module is a better way of putting 'hello there' trace messages in
your code.  It lets you turn tracing on and off without commenting out
trace statements, and provides other useful things like HTML-ified
trace messages for CGI scripts and an easy way to trace out data
structures using Data::Dumper.

From the pod documentation:

  use Log::TraceMessages qw(t d);
    $Log::TraceMessages::On = 1;
    t 'got to here';
    t 'value of $a is ' . d($a);
    {
        local $Log::TraceMessages::On = 0;
        t 'this message will not be printed';
    }

    # For a CGI program producing HTML
    $Log::TraceMessages::CGI = 1;

    # Or to turn on trace if there's a command-line argument '--trace'
    Log::TraceMessages::check_argv();

This is free software and you may distribute it under the same terms
as perl itself.  There is no warranty.

Authors:
--------
    Ed Avis <ed@membled.com>

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%check
make test

%files
%defattr(-, root, root)
%doc README Changes
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Log
%{perl_vendorlib}/auto/Log
%{perl_vendorarch}/auto/Log

%changelog
* Mon Oct  9 2017 olaf@aepfle.de
- Require Module::Install for perl 5.26
- Remove POSIX::tmpnam usage with Log-TraceMessages.tmpnam.patch
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jun 20 2006 jfunk@funktronics.ca
- Build under buildservice
* Fri Nov 11 2005 jfunk@funktronics.ca
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Build for SL92
* Tue May 11 2004 jfunk@funktronics.ca
- Build for SL91
* Thu Jan 15 2004 jfunk@funktronics.ca
- Update
* Mon Nov  3 2003 jfunk@funktronics.ca
- Build for SUSE 9.0
* Fri May 30 2003 jfunk@funktronics.ca
- Update
- Build for SuSE 8.2
* Wed Dec 11 2002 jfunk@funktronics.ca
- Update to 1.2
- Build for SuSE 8.1
* Thu May 30 2002 jfunk@funktronics.ca
- Initial build with new spec layout
